## org.eclipse.datatools.sqltools.sqlbuilder.dialogs
Class DefineTypeComposite

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.dialogs.DefineTypeComposite

    public class DefineTypeComposite

extends java.lang.Object

Constructor Summary
`DefineTypeComposite(org.eclipse.swt.widgets.Composite parent, SQLDomainModel domainModel, int joinKind)`

Method Summary
`org.eclipse.swt.widgets.Composite` `getControl()`
`int` `getJoinKind()`
`boolean` `isSet(int joinKind)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefineTypeComposite

    public DefineTypeComposite(org.eclipse.swt.widgets.Composite parent,
                               SQLDomainModel domainModel,
                               int joinKind)

Method Detail

### getControl

    public org.eclipse.swt.widgets.Composite getControl()

### isSet

    public boolean isSet(int joinKind)

### getJoinKind

    public int getJoinKind()